# Diagnostics library test faults
# These faults do not represent real robot faults or reactions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'VOX'
source_enum: kEmuVOX
namespace: zoox::vox
can_messages:
    - status_msg: VOX1_alertStatus
      log_msg: VOX1_alertLog
    - status_msg: VOX2_alertStatus
      log_msg: VOX2_alertLog
can_import: firmware/common/can/generated/vh6/vox.h
can_namespace: vh6
faults:
  - id: 0
    name: Channel1Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 1
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 1
    name: Channel2Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 2
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 2
    name: Channel3Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 3
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 3
    name: Channel4Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 4
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 4
    name: Channel5Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 5
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 5
    name: Channel6Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 6
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 6
    name: Channel7Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 7
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 7
    name: Channel8Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 8
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 8
    name: Channel9Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 9
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 9
    name: Channel10Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 10
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 10
    name: Channel11Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 11
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 11
    name: Channel12Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 12
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 12
    name: Channel13Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 13
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 13
    name: Channel14Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 14
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 14
    name: Channel15Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 15
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 15
    name: Channel16Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 16
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 16
    name: Channel17Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 17
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 17
    name: Channel18Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 18
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 18
    name: Channel19Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 19
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 19
    name: Channel20Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 20
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 20
    name: Channel21Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 21
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 21
    name: Channel22Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 22
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 22
    name: Channel23Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 23
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 23
    name: Channel24Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 24
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 24
    name: Channel25Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 25
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 25
    name: Channel26Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 26
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 26
    name: Channel27Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 27
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 27
    name: Channel28Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 28
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 28
    name: Channel29Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 29
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 29
    name: Channel30Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 30
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 30
    name: Channel31Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 31
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 31
    name: Channel32Fault
    severity: WARNING
    description: Hardware Issue with VOX channel 32
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 32
    name: Amp1Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 1
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 33
    name: Amp2Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 2
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 34
    name: Amp3Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 3
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 35
    name: Amp4Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 4
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 36
    name: Amp5Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 5
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 37
    name: Amp6Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 6
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 38
    name: Amp7Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 7
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 39
    name: Amp8Fault
    severity: WARNING
    description: Hardware Issue with VOX Amp 8
    troubleshooting_steps: Contact BaseOps, replace VOX unit
  - id: 40
    name: CanErr
    severity: WARNING
    description: Hardware Issue with CAN Connection
    troubleshooting_steps: Ensure VOX is properly connected, Power Cycle
  - id: 41
    name: BoardOverTemp1
    severity: WARNING
    description: VOX Hardware is Overheating
    troubleshooting_steps: Disconnect VOX, contact BaseOps, replace VOX unit
  - id: 42
    name: BoardOverTemp2
    severity: WARNING
    description: VOX Hardware is Overheating
    troubleshooting_steps: Disconnect VOX, contact BaseOps, replace VOX unit
  - id: 43
    name: McuMemFault
    severity: WARNING
    description: Main Processor on VOX ECU has Memory Fault
    troubleshooting_steps: Power Cycle, forward CAN logs to Firmware support
  - id: 44
    name: AudioCoProcessorFault
    severity: WARNING
    description: Audio Chip on VOX ECU is Faulted
    troubleshooting_steps: Power Cycle, forward CAN logs to Firmware support
